textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/sfx/flame2
{

	
	
	
	
	
	
		surfaceparm nomarks
		surfaceparm nolightmap
		cull none
		q3map_surfacelight 5500
		qer_editorimage textures/sfx/flame2.tga

	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	

	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/common/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/full_clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/a-japanhouse/bonsaismall
{
	qer_editorimage textures/a-japanhouse/bonsai1.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	deformvertexes autosprite
	cull none
	nopicmip

	{
		map textures/a-japanhouse/bonsai1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/a-japanhouse/whiteflag
{
        qer_editorimage textures/a-japanhouse/flagwhite.tga
        tesssize 64
        deformvertexes wave 194 sin 0 3 0 .4
        deformvertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
        {
		map textures/a-japanhouse/flagwhite.tga
		rgbgen identity
	}
        {
		map textures/a-japanhouse/flagwhite.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcgen environment 
                
                blendfunc gl_dst_color gl_zero
               rgbgen identity
	}
}

textures/a-japanhouse/lillies
{
	qer_editorimage textures/a-japanhouse/lillies.tga
	surfaceparm nolightmap
	surfaceparm trans	
	surfaceparm nomarks	
	cull none

	{
		map textures/a-japanhouse/lillies.tga
		
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/j-gardens/grid
{
	qer_editorimage models/mapobjects/j-gardens/grid.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	light 1

	{
		map $lightmap
		rgbgen identity
	}
	{
		map models/mapobjects/j-gardens/grid.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map models/mapobjects/j-gardens/grid_light.tga
		blendfunc gl_one gl_one
	}
}

textures/a-japanhouse/water04
{				
	surfaceparm water
        deformvertexes wave 50 sin 0 1 0 1.5
	cull none
	entitymergable		
	{
		map textures/a-japanhouse/water04.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcmod scroll 0 -1.5
		rgbgen		vertex
		alphagen	vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/ut-trees/summer
{
  surfaceparm nolightmap
  surfaceparm trans	
  surfaceparm nomarks	
  cull none
  sort 10
	{
		clampmap models/mapobjects/ut-trees/summer.tga
		blendfunc gl_zero gl_one_minus_src_color        
	}
}

models/mapobjects/nateleaf1/tree2
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/nateleaf1/tree2.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

textures/a-japanhouse/eveningsky
{				
	qer_editorimage textures/a-japanhouse/sky_blue.tga
	surfaceparm noimpact
	
	surfaceparm nolightmap
	surfaceparm sky
	
	q3map_sun	.1 .2 .1 200 225 30 
	q3map_forcesunlight 
	
	skyparms full 256 -
	{
		map textures/a-japanhouse/sky_blue.tga
		
		tcmod scale 1 1
		depthwrite
	}
}

textures/liquids/japanwater
{
	qer_editorimage textures/liquids/pool2.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	
	deformvertexes wave 64 sin .5 .5 0 .5
	
	{
		map textures/liquids/pool2.tga
		tcmod turb 0 .2 0 .1
	}
}

models/mapobjects/gratelamp/gratetorch2b
{
    cull disable
    
        {
                map models/mapobjects/gratelamp/gratetorch2b.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }


}

models/mapobjects/lamps/flare03
{
	deformvertexes autosprite

	q3map_surfacelight 200	

	surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		map models/mapobjects/lamps/flare03.tga
		blendfunc gl_one gl_one
	}	
	
}

models/mapobjects/wallhead/lion_m
{      
        {
		map models/mapobjects/wallhead/lion_m.tga
                blendfunc gl_one gl_zero
		rgbgen vertex
	} 
        {
                map textures/sfx/firewalla.tga
                blendfunc gl_one gl_one
                tcmod scroll 0.1 1
                
	}  
        {
		map models/mapobjects/wallhead/lion_m.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen vertex
	}
       
}

